[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Assigned

Check if a pointer is valid

## Declaration

Source position: system.fpd line 28

`function Assigned(`
`P: Pointer`
`):Boolean;`

## Description

Assigned returns True if P is non-nil and retuns False of P is nil. The main use of Assigned is that Procedural variables, method variables and class-type variables also can be passed to Assigned.

## Errors

None

## See also

New |  | Dynamically allocate memory for variable

## Example

    Program Example96;

    { Program to demonstrate the Assigned function. }

    Var P : Pointer;

    begin
      If Not Assigned(P) then
        Writeln ('Pointer is initially NIL');
      P:=@P;
      If Not Assigned(P) then
        Writeln('Internal inconsistency')
      else
        Writeln('All is well in FPC')
    end.

Documentation generated on: Feb 26 2014